Bug 154750 - New port: graphics/projectm-libvisual An awesome music visualizer
Summary: New port: graphics/projectm-libvisual An awesome music visualizer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-13 20:30 UTC by Chris Rees
Modified: 2011-02-14 03:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-02-13 20:30:08 UTC
	This is the libvisual library for projectM, which is introduced in ports/154749. libprojectM is a dependency of this, so it won't work until it is committed.

	The original requests are at [1] and [2], I announced and requested testers at [3].

	Anyone who uses a libvisual compatible music player might be
interested in this port; according to Wikipedia these:

   * Amarok
   * XMMS2
   * Beep Media Player
   * BMPx
   * Audacious
   * LiVES Video Editing System
   * Rhythmbox

projectM is a Free rewrite of Milkdrop, which is a visualiser for 'Winamp'.

Submitted by: Chris Rees (utisoft@gmail.com)

[1] http://forums.freebsd.org/showthread.php?t=12710
[2] http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/152823
[3] http://www.mail-archive.com/freebsd-ports@freebsd.org/msg31912.html

Fix: I've seen some committers saying that they prefer diffs to /nonexistant, that's posted
at http://www.bayofrum.net/~chris/patches/projectm-libvisual.diff

Tested: http://tinderbox.bayofrum.net/index.php?action=describe_port&id=309


-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--Fg8WbM46IiX00ui5Tt8m2ew44s648QqxIgJ4a50lj4a8vIag
Content-Type: text/plain; name="projectm-libvisual.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="projectm-libvisual.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	graphics/projectm-libvisual
#	graphics/projectm-libvisual/Makefile
#	graphics/projectm-libvisual/files
#	graphics/projectm-libvisual/files/patch-actor_projectM-cpp
#	graphics/projectm-libvisual/distinfo
#	graphics/projectm-libvisual/pkg-descr
#
echo c - graphics/projectm-libvisual
mkdir -p graphics/projectm-libvisual > /dev/null 2>&1
echo x - graphics/projectm-libvisual/Makefile
sed 's/^X//' >graphics/projectm-libvisual/Makefile << 'ef3764232529080af34be27786636e9b'
X# New ports collection Makefile for:	projectM-libvisual
X# Date created:	 	5 February 2010
X# Whom:			utisoft@gmail.com
X#
X# $FreeBSD$
X#
X
XPORTNAME=	projectM-libvisual
XPORTVERSION=	2.0.1
XCATEGORIES=	graphics audio
XMASTER_SITES=	SF/${PORTNAME:L:S/-libvisual//}/${PORTVERSION}
XDISTNAME=	${PORTNAME:S/-/_/}-${DISTVERSION}-Source
X
XMAINTAINER=	utisoft@gmail.com
XCOMMENT=	Allows projectM to be used with libvisual
X
XLICENSE=	GPLv2
X
XLIB_DEPENDS=	projectM:${PORTSDIR}/graphics/libprojectm \
X		visual-${LIBVISUAL_VER}:${PORTSDIR}/graphics/libvisual${LIBVISUAL_VER:S/.//} \
X		SDL:${PORTSDIR}/devel/sdl12
X
XUSE_CMAKE=	yes
XCMAKE_ARGS+=	-DLIBVISUAL_LIBRARIES=visual-${LIBVISUAL_VER}
XCFLAGS+=	-I${LOCALBASE}/include -L${LOCALBASE}/lib
XUSE_LDCONFIG=	yes
XLIBVISUAL_VER=	0.4
X
XPLIST_FILES=	lib/libvisual-${LIBVISUAL_VER}/actor/libprojectM_libvisual.so
XPLIST_DIRS=	lib/libvisual-${LIBVISUAL_VER}/actor \
X		lib/libvisual-${LIBVISUAL_VER}
X
Xpost-patch:
X	@${FIND} ${WRKSRC} -name "*.[hc]*" | ${XARGS} ${REINPLACE_CMD} \
X		-e 's#<libvisual#<libvisual-${LIBVISUAL_VER}/libvisual#g'
X	@${REINPLACE_CMD} -e 's#/usr/local#${PREFIX}#' \
X		${WRKSRC}/CPackConfig.cmake \
X		${WRKSRC}/cmake_install.cmake \
X		${WRKSRC}/CPackSourceConfig.cmake
X
X.include <bsd.port.mk>
ef3764232529080af34be27786636e9b
echo c - graphics/projectm-libvisual/files
mkdir -p graphics/projectm-libvisual/files > /dev/null 2>&1
echo x - graphics/projectm-libvisual/files/patch-actor_projectM-cpp
sed 's/^X//' >graphics/projectm-libvisual/files/patch-actor_projectM-cpp << 'fd4b1e7b4807b129b5e173382ddc8c3f'
X--- actor_projectM.cpp.orig	2011-02-06 15:46:19.000000000 +0000
X+++ actor_projectM.cpp	2011-02-06 15:46:38.000000000 +0000
X@@ -56,7 +56,6 @@
X   static VisPluginInfo info[1];
X   
X   actor[0].requisition = lv_projectm_requisition;
X-  actor[0].palette = lv_projectm_palette;
X   actor[0].render = lv_projectm_render;
X     actor[0].vidoptions.depth = VISUAL_VIDEO_DEPTH_GL; /* We want GL clearly */
X     
X@@ -209,7 +208,6 @@
X  * we aren't with projectm, so just ignore :) */
X extern "C" VisPalette *lv_projectm_palette (VisPluginData *plugin)
X {
X-	return NULL;
X }
X 
X /* This is where the real rendering happens! This function is what we call, many times
fd4b1e7b4807b129b5e173382ddc8c3f
echo x - graphics/projectm-libvisual/distinfo
sed 's/^X//' >graphics/projectm-libvisual/distinfo << '6ce3e0634b7d3a75ad506f2d4f74c1e1'
XSHA256 (projectM_libvisual-2.0.1-Source.tar.gz) = 8526b8687caebcef5f3374dd61665732f10030e970a7db4804eb65a06da18ea0
XSIZE (projectM_libvisual-2.0.1-Source.tar.gz) = 23128
6ce3e0634b7d3a75ad506f2d4f74c1e1
echo x - graphics/projectm-libvisual/pkg-descr
sed 's/^X//' >graphics/projectm-libvisual/pkg-descr << '5f1d4737e3b11290e2bf6820cdc6d700'
XprojectM is an LGPL'ed reimplementation of Milkdrop under OpenGL. All projectM
Xrequires is a video card with 3D acceleration and your favorite music.
X
XWWW: http://projectm.sourceforge.net/
5f1d4737e3b11290e2bf6820cdc6d700
exit
Comment 1 Martin Wilke freebsd_committer 2011-02-13 22:43:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2011-02-14 03:27:37 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2011-02-14 03:27:54 UTC
miwi        2011-02-14 03:27:50 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/projectm-libvisual Makefile distinfo pkg-descr 
    graphics/projectm-libvisual/files patch-actor_projectM-cpp 
  Log:
  projectM is an LGPL'ed reimplementation of Milkdrop under OpenGL. All projectM
  requires is a video card with 3D acceleration and your favorite music.
  
  WWW: http://projectm.sourceforge.net/
  
  PR:             ports/154750
  Submitted by:   utisoft at gmail.com
  
  Revision  Changes    Path
  1.1382    +1 -0      ports/graphics/Makefile
  1.1       +41 -0     ports/graphics/projectm-libvisual/Makefile (new)
  1.1       +2 -0      ports/graphics/projectm-libvisual/distinfo (new)
  1.1       +18 -0     ports/graphics/projectm-libvisual/files/patch-actor_projectM-cpp (new)
  1.1       +4 -0      ports/graphics/projectm-libvisual/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"